Skip to main content
GET
/
v1
/
request
/
{paymentReference}
/
routes
Get payment routes
curl --request GET \
  --url https://api.request.network/v1/request/{paymentReference}/routes \
  --header 'x-api-key: <x-api-key>'
{ "routes": [ { "id": "REQUEST_NETWORK_PAYMENT", "fee": 0, "speed": "FAST", "price_impact": 0, "chain": "MAINNET", "token": "REQ" } ] }

Headers

x-api-key
string
required

API key for authentication

Path Parameters

paymentReference
string
required

The payment reference of the request

Example:

"0xb3581f0b0f74cc61"

Query Parameters

wallet
string
required

The wallet address of the payer

Example:

"0x6923831ACf5c327260D7ac7C9DfF5b1c3cB3C7D7"

amount
string

The amount to pay, in human readable format

feePercentage
string

Fee percentage to apply at payment time (e.g., '2.5' for 2.5%)

feeAddress
string

Address to receive the fee

Response

Available payment routes

Available payment routes for the request

routes
object[]
required

Array of available payment routes